Subject: bug#21188: Preview installed from the package manager changes LaTeX-mode-hook

From: Mosè Giordano <[email-masked]>
Date: Mon, 10 Aug 2015 22:58:28 +0200

Hi Arash,

2015-08-10 22:37 GMT+02:00 Arash Esbati <[email-masked]>:
> Tassilo Horn <[email-masked]> writes:
>
>> Arash Esbati <[email-masked]> writes:
>>
>>> 2)  Eval in scratch buffer
>>>     (load "auctex.el" nil t t)
>>
>> How can you do that without telling Emacs where auctex.el resides?
>
> Sorry, my bad, yanked the wrong item.  I eval'ed:
>
>     (load "~/.emacs.d/lisp/auctex.el" nil t t)
>
>>> 3)  Open a tex file and emacs says:
>>>
>>> Debugger entered--Lisp error: (void-function LaTeX-preview-setup)
>>
>> `LaTeX-preview-setup' is autoloaded from preview-latex.el.  So it relies
>> on
>>
>>   (load "preview-latex.el" nil t t)
>>
>> also being in your ~/.emacs.  Although I can omit that but still don't
>> get that error...
>>
>> But I guess it wouldn't hurt to wrap the call in an fboundp check...
>
> Thanks, I updated AUCTeX and the error (not warning) is gone.  I will
> check this on my other box this weekend.  I wonder why this happened to
> me while you and Mosè do not have this issue.

I'm curious too, thanks for looking into it.  I can reproduce your
error only if I load `auctex' but don't load `preview-latex' and then
run `TeX-LaTeX-mode', but opening a LaTeX files works flawless even
without loading `preview-latex' (and before Tassilo's last commit).

Could you please remove the "Mail-Followup-To: [email-masked]"
cookie from your emails?  This setting would open a new bug report for
everyone replying to you ;-)

Bye,
Mosè